be.ehealth.business.mycarenetdomaincommons.builders.util

## Class GeneralCommonInputBuilder

- java.lang.Object
- - be.ehealth.business.mycarenetdomaincommons.builders.util.GeneralCommonInputBuilder

-     public final class GeneralCommonInputBuilder
      extends Object

  creates the commonInput with builder methods.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneralCommonInputBuilder` | `addCareProvider(CareProvider careprovider)`
    `GeneralCommonInputBuilder` | `addMcnPackageInfo(McnPackageInfo packageInfo)`
    `GeneralCommonInputBuilder` | `addPackageInfo(PackageInfo packageInfo)` Deprecated. use addMcnPackageInfo instead
    `GeneralCommonInputBuilder` | `addPackageInfo(String name, String userName, String password)`
    `static GeneralCommonInputBuilder` | `create(boolean isTest, String inputReference)`
    `GeneralCommonInputBuilder` | `disableValidation()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GeneralCommonInputBuilder create(boolean isTest,
                                                         String inputReference)

    - #### addPackageInfo

          @Deprecated
          public GeneralCommonInputBuilder addPackageInfo(PackageInfo packageInfo)

      Deprecated. use addMcnPackageInfo instead
      Parameters:
        `packageInfo` - deprecated!
      Returns:

    - #### addMcnPackageInfo

          public GeneralCommonInputBuilder addMcnPackageInfo(McnPackageInfo packageInfo)

    - #### addPackageInfo

          public GeneralCommonInputBuilder addPackageInfo(String name,
                                                          String userName,
                                                          String password)

    - #### addCareProvider

          public GeneralCommonInputBuilder addCareProvider(CareProvider careprovider)

    - #### disableValidation

          public GeneralCommonInputBuilder disableValidation()

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.